Overview
PUT
/content/locations/{id}contentUpdate locations
Replace a record in locations by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- deletedAtoptionalstring?
- ecosystemIdoptionalstring
- ownerKindoptionalstring
- ownerIdoptionalstring
- placeoptionalstring
- regionoptionalstring
- countryoptionalstring
- startDateoptionalstring
- endDateoptionalstring?
- notesoptionalstring
Example
{
"deletedAt": "string",
"ecosystemId": "string",
"ownerKind": "string",
"ownerId": "string",
"place": "string",
"region": "string",
"country": "string",
"startDate": "string",
"endDate": "string",
"notes": "string"
}Responses
200
locations
- idstring
- customerIdstring
- deletedAtstring?
- ecosystemIdstring
- ownerKindstring
- ownerIdstring
- placestring
- regionstring
- countrystring
- startDatestring
- endDatestring?
- notesstring
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"ownerKind": "string",
"ownerId": "string",
"place": "string",
"region": "string",
"country": "string",
"startDate": "string",
"endDate": "string",
"notes": "string",
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/content/locations/{id}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"deletedAt": "string",
"ecosystemId": "string",
"ownerKind": "string",
"ownerId": "string",
"place": "string",
"region": "string",
"country": "string",
"startDate": "string",
"endDate": "string",
"notes": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/locations/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"deletedAt\": \"string\",\n \"ecosystemId\": \"string\",\n \"ownerKind\": \"string\",\n \"ownerId\": \"string\",\n \"place\": \"string\",\n \"region\": \"string\",\n \"country\": \"string\",\n \"startDate\": \"string\",\n \"endDate\": \"string\",\n \"notes\": \"string\"\n}",
});
const data = await res.json();